from settings import http, configuration
from models import BaseModel
from helpers.postgre_alchemy import postgre_alchemy as db
import datetime

class DisdikSekolahModel(BaseModel, db.Model):
    """Model for the disdik_sekolah table"""
    __tablename__ = 'sekolah'
    __table_args__ = {'schema': 'disdik'}

    # start model
    akreditasi = db.Column(db.String(255))
    alamat_jalan = db.Column(db.String(255))
    bentuk = db.Column(db.String(255))
    bujur = db.Column(db.String(255))
    daya_listrik = db.Column(db.String(255))
    desa_kelurahan = db.Column(db.String(255))
    email_operator = db.Column(db.Float)
    email_sekolah = db.Column(db.String(255))
    hp_operator = db.Column(db.Float)
    internet = db.Column(db.String(255))
    jenis_kelamin = db.Column(db.String(255))
    jenjang_pendidikan_terakhir = db.Column(db.String(255))
    jml_alat_ipa = db.Column(db.Float)
    jml_alat_ips = db.Column(db.Float)
    jml_alat_lab_bhs = db.Column(db.Float)
    jml_alat_lab_ipa = db.Column(db.Float)
    jml_alat_lab_ips = db.Column(db.Float)
    jml_alat_lab_komp = db.Column(db.Float)
    jml_alat_lab_multi = db.Column(db.Float)
    jml_alat_math = db.Column(db.Float)
    jml_alat_pjok = db.Column(db.Float)
    kabupaten_kota = db.Column(db.String(255))
    kecamatan = db.Column(db.String(255))
    kepala_sekolah = db.Column(db.String(255))
    kepsek_gol_1a_l = db.Column(db.Float)
    kepsek_gol_1a_p = db.Column(db.Float)
    kepsek_gol_1b_l = db.Column(db.Float)
    kepsek_gol_1b_p = db.Column(db.Float)
    kepsek_gol_1c_l = db.Column(db.Float)
    kepsek_gol_1c_p = db.Column(db.Float)
    kepsek_gol_1d_l = db.Column(db.Float)
    kepsek_gol_1d_p = db.Column(db.Float)
    kepsek_gol_2a_l = db.Column(db.Float)
    kepsek_gol_2a_p = db.Column(db.Float)
    kepsek_gol_2b_l = db.Column(db.Float)
    kepsek_gol_2b_p = db.Column(db.Float)
    kepsek_gol_2c_l = db.Column(db.Float)
    kepsek_gol_2c_p = db.Column(db.Float)
    kepsek_gol_2d_l = db.Column(db.Float)
    kepsek_gol_2d_p = db.Column(db.Float)
    kepsek_gol_3a_l = db.Column(db.Float)
    kepsek_gol_3a_p = db.Column(db.Float)
    kepsek_gol_3b_l = db.Column(db.Float)
    kepsek_gol_3b_p = db.Column(db.Float)
    kepsek_gol_3c_l = db.Column(db.Float)
    kepsek_gol_3c_p = db.Column(db.Float)
    kepsek_gol_3d_l = db.Column(db.Float)
    kepsek_gol_3d_p = db.Column(db.Float)
    kepsek_gol_4a_l = db.Column(db.Float)
    kepsek_gol_4a_p = db.Column(db.Float)
    kepsek_gol_4b_l = db.Column(db.Float)
    kepsek_gol_4b_p = db.Column(db.Float)
    kepsek_gol_4c_l = db.Column(db.Float)
    kepsek_gol_4c_p = db.Column(db.Float)
    kepsek_gol_4d_l = db.Column(db.Float)
    kepsek_gol_4d_p = db.Column(db.Float)
    kepsek_gol_4e_l = db.Column(db.Float)
    kepsek_gol_4e_p = db.Column(db.Float)
    kepsek_usia_31_35_l = db.Column(db.Float)
    kepsek_usia_31_35_p = db.Column(db.Float)
    kepsek_usia_36_40_l = db.Column(db.Float)
    kepsek_usia_36_40_p = db.Column(db.Float)
    kepsek_usia_41_45_l = db.Column(db.Float)
    kepsek_usia_41_45_p = db.Column(db.Float)
    kepsek_usia_46_50_l = db.Column(db.Float)
    kepsek_usia_46_50_p = db.Column(db.Float)
    kepsek_usia_51_55_l = db.Column(db.Float)
    kepsek_usia_51_55_p = db.Column(db.Float)
    kepsek_usia_kurang_31_l = db.Column(db.Float)
    kepsek_usia_kurang_31_p = db.Column(db.Float)
    kepsek_usia_lebih_55_l = db.Column(db.Float)
    kepsek_usia_lebih_55_p = db.Column(db.Float)
    kode_kab_kota = db.Column(db.String(255))
    kode_kec = db.Column(db.String(255))
    kode_pos = db.Column(db.String(255))
    kode_prop = db.Column(db.String(255))
    kurikulum = db.Column(db.String(255))
    lab_bahasa_baik = db.Column(db.Float)
    lab_bahasa_rsk_berat = db.Column(db.Float)
    lab_bahasa_rsk_ringan = db.Column(db.Float)
    lab_bahasa_rsk_sedang = db.Column(db.Float)
    lab_biologi_baik = db.Column(db.Float)
    lab_biologi_rsk_berat = db.Column(db.Float)
    lab_biologi_rsk_ringan = db.Column(db.Float)
    lab_biologi_rsk_sedang = db.Column(db.Float)
    lab_fisika_baik = db.Column(db.Float)
    lab_fisika_rsk_berat = db.Column(db.Float)
    lab_fisika_rsk_ringan = db.Column(db.Float)
    lab_fisika_rsk_sedang = db.Column(db.Float)
    lab_ipa_baik = db.Column(db.Float)
    lab_ipa_rsk_berat = db.Column(db.Float)
    lab_ipa_rsk_ringan = db.Column(db.Float)
    lab_ipa_rsk_sedang = db.Column(db.Float)
    lab_ips_baik = db.Column(db.Float)
    lab_ips_rsk_berat = db.Column(db.Float)
    lab_ips_rsk_ringan = db.Column(db.Float)
    lab_ips_rsk_sedang = db.Column(db.Float)
    lab_kimia_baik = db.Column(db.Float)
    lab_kimia_rsk_berat = db.Column(db.Float)
    lab_kimia_rsk_ringan = db.Column(db.Float)
    lab_kimia_rsk_sedang = db.Column(db.Float)
    lab_komputer_baik = db.Column(db.Float)
    lab_komputer_rsk_berat = db.Column(db.Float)
    lab_komputer_rsk_ringan = db.Column(db.Float)
    lab_komputer_rsk_sedang = db.Column(db.Float)
    lab_multimedia_baik = db.Column(db.Float)
    lab_multimedia_rsk_berat = db.Column(db.Float)
    lab_multimedia_rsk_ringan = db.Column(db.Float)
    lab_multimedia_rsk_sedang = db.Column(db.Float)
    lintang = db.Column(db.String(255))
    mbs = db.Column(db.String(255))
    nama_dusun = db.Column(db.String(255))
    nama_operator = db.Column(db.Float)
    no_hp = db.Column(db.String(255))
    npsn = db.Column(db.String(255))
    pd_baru_umur_10_l = db.Column(db.Float)
    pd_baru_umur_10_p = db.Column(db.Float)
    pd_baru_umur_11_l = db.Column(db.Float)
    pd_baru_umur_11_p = db.Column(db.Float)
    pd_baru_umur_12_l = db.Column(db.Float)
    pd_baru_umur_12_p = db.Column(db.Float)
    pd_baru_umur_13_l = db.Column(db.Float)
    pd_baru_umur_13_p = db.Column(db.Float)
    pd_baru_umur_14_l = db.Column(db.Float)
    pd_baru_umur_14_p = db.Column(db.Float)
    pd_baru_umur_15_l = db.Column(db.Float)
    pd_baru_umur_15_p = db.Column(db.Float)
    pd_baru_umur_16_l = db.Column(db.Float)
    pd_baru_umur_16_p = db.Column(db.Float)
    pd_baru_umur_17_l = db.Column(db.Float)
    pd_baru_umur_17_p = db.Column(db.Float)
    pd_baru_umur_18_l = db.Column(db.Float)
    pd_baru_umur_18_p = db.Column(db.Float)
    pd_baru_umur_5_l = db.Column(db.Float)
    pd_baru_umur_5_p = db.Column(db.Float)
    pd_baru_umur_6_l = db.Column(db.Float)
    pd_baru_umur_6_p = db.Column(db.Float)
    pd_baru_umur_7_l = db.Column(db.Float)
    pd_baru_umur_7_p = db.Column(db.Float)
    pd_baru_umur_8_l = db.Column(db.Float)
    pd_baru_umur_8_p = db.Column(db.Float)
    pd_baru_umur_9_l = db.Column(db.Float)
    pd_baru_umur_9_p = db.Column(db.Float)
    pd_baru_umur_kurang_5_l = db.Column(db.Float)
    pd_baru_umur_kurang_5_p = db.Column(db.Float)
    pd_baru_umur_lebih_18_l = db.Column(db.Float)
    pd_baru_umur_lebih_18_p = db.Column(db.Float)
    pd_lulus_umur_10_l = db.Column(db.Float)
    pd_lulus_umur_10_p = db.Column(db.Float)
    pd_lulus_umur_11_l = db.Column(db.Float)
    pd_lulus_umur_11_p = db.Column(db.Float)
    pd_lulus_umur_12_l = db.Column(db.Float)
    pd_lulus_umur_12_p = db.Column(db.Float)
    pd_lulus_umur_13_l = db.Column(db.Float)
    pd_lulus_umur_13_p = db.Column(db.Float)
    pd_lulus_umur_14_l = db.Column(db.Float)
    pd_lulus_umur_14_p = db.Column(db.Float)
    pd_lulus_umur_15_l = db.Column(db.Float)
    pd_lulus_umur_15_p = db.Column(db.Float)
    pd_lulus_umur_16_l = db.Column(db.Float)
    pd_lulus_umur_16_p = db.Column(db.Float)
    pd_lulus_umur_17_l = db.Column(db.Float)
    pd_lulus_umur_17_p = db.Column(db.Float)
    pd_lulus_umur_18_l = db.Column(db.Float)
    pd_lulus_umur_18_p = db.Column(db.Float)
    pd_lulus_umur_5_l = db.Column(db.Float)
    pd_lulus_umur_5_p = db.Column(db.Float)
    pd_lulus_umur_6_l = db.Column(db.Float)
    pd_lulus_umur_6_p = db.Column(db.Float)
    pd_lulus_umur_7_l = db.Column(db.Float)
    pd_lulus_umur_7_p = db.Column(db.Float)
    pd_lulus_umur_8_l = db.Column(db.Float)
    pd_lulus_umur_8_p = db.Column(db.Float)
    pd_lulus_umur_9_l = db.Column(db.Float)
    pd_lulus_umur_9_p = db.Column(db.Float)
    pd_lulus_umur_kurang_5_l = db.Column(db.Float)
    pd_lulus_umur_kurang_5_p = db.Column(db.Float)
    pd_lulus_umur_lebih_18_l = db.Column(db.Float)
    pd_lulus_umur_lebih_18_p = db.Column(db.Float)
    pd_mengulang_tkt_10_l = db.Column(db.Float)
    pd_mengulang_tkt_10_p = db.Column(db.Float)
    pd_mengulang_tkt_11_l = db.Column(db.Float)
    pd_mengulang_tkt_11_p = db.Column(db.Float)
    pd_mengulang_tkt_12_l = db.Column(db.Float)
    pd_mengulang_tkt_12_p = db.Column(db.Float)
    pd_mengulang_tkt_13_l = db.Column(db.Float)
    pd_mengulang_tkt_13_p = db.Column(db.Float)
    pd_mengulang_tkt_1_l = db.Column(db.Float)
    pd_mengulang_tkt_1_p = db.Column(db.Float)
    pd_mengulang_tkt_2_l = db.Column(db.Float)
    pd_mengulang_tkt_2_p = db.Column(db.Float)
    pd_mengulang_tkt_3_l = db.Column(db.Float)
    pd_mengulang_tkt_3_p = db.Column(db.Float)
    pd_mengulang_tkt_4_l = db.Column(db.Float)
    pd_mengulang_tkt_4_p = db.Column(db.Float)
    pd_mengulang_tkt_5_l = db.Column(db.Float)
    pd_mengulang_tkt_5_p = db.Column(db.Float)
    pd_mengulang_tkt_6_l = db.Column(db.Float)
    pd_mengulang_tkt_6_p = db.Column(db.Float)
    pd_mengulang_tkt_7_l = db.Column(db.Float)
    pd_mengulang_tkt_7_p = db.Column(db.Float)
    pd_mengulang_tkt_8_l = db.Column(db.Float)
    pd_mengulang_tkt_8_p = db.Column(db.Float)
    pd_mengulang_tkt_9_l = db.Column(db.Float)
    pd_mengulang_tkt_9_p = db.Column(db.Float)
    pd_mengulang_umur_10_l = db.Column(db.Float)
    pd_mengulang_umur_10_p = db.Column(db.Float)
    pd_mengulang_umur_11_l = db.Column(db.Float)
    pd_mengulang_umur_11_p = db.Column(db.Float)
    pd_mengulang_umur_12_l = db.Column(db.Float)
    pd_mengulang_umur_12_p = db.Column(db.Float)
    pd_mengulang_umur_13_l = db.Column(db.Float)
    pd_mengulang_umur_13_p = db.Column(db.Float)
    pd_mengulang_umur_14_l = db.Column(db.Float)
    pd_mengulang_umur_14_p = db.Column(db.Float)
    pd_mengulang_umur_15_l = db.Column(db.Float)
    pd_mengulang_umur_15_p = db.Column(db.Float)
    pd_mengulang_umur_16_l = db.Column(db.Float)
    pd_mengulang_umur_16_p = db.Column(db.Float)
    pd_mengulang_umur_17_l = db.Column(db.Float)
    pd_mengulang_umur_17_p = db.Column(db.Float)
    pd_mengulang_umur_18_l = db.Column(db.Float)
    pd_mengulang_umur_18_p = db.Column(db.Float)
    pd_mengulang_umur_5_l = db.Column(db.Float)
    pd_mengulang_umur_5_p = db.Column(db.Float)
    pd_mengulang_umur_6_l = db.Column(db.Float)
    pd_mengulang_umur_6_p = db.Column(db.Float)
    pd_mengulang_umur_7_l = db.Column(db.Float)
    pd_mengulang_umur_7_p = db.Column(db.Float)
    pd_mengulang_umur_8_l = db.Column(db.Float)
    pd_mengulang_umur_8_p = db.Column(db.Float)
    pd_mengulang_umur_9_l = db.Column(db.Float)
    pd_mengulang_umur_9_p = db.Column(db.Float)
    pd_mengulang_umur_kurang_5_l = db.Column(db.Float)
    pd_mengulang_umur_kurang_5_p = db.Column(db.Float)
    pd_mengulang_umur_lebih_18_l = db.Column(db.Float)
    pd_mengulang_umur_lebih_18_p = db.Column(db.Float)
    pd_tkt_10_l = db.Column(db.Float)
    pd_tkt_10_p = db.Column(db.Float)
    pd_tkt_11_l = db.Column(db.Float)
    pd_tkt_11_p = db.Column(db.Float)
    pd_tkt_12_l = db.Column(db.Float)
    pd_tkt_12_p = db.Column(db.Float)
    pd_tkt_13_l = db.Column(db.Float)
    pd_tkt_13_p = db.Column(db.Float)
    pd_tkt_1_l = db.Column(db.Float)
    pd_tkt_1_p = db.Column(db.Float)
    pd_tkt_2_l = db.Column(db.Float)
    pd_tkt_2_p = db.Column(db.Float)
    pd_tkt_3_l = db.Column(db.Float)
    pd_tkt_3_p = db.Column(db.Float)
    pd_tkt_4_l = db.Column(db.Float)
    pd_tkt_4_p = db.Column(db.Float)
    pd_tkt_5_l = db.Column(db.Float)
    pd_tkt_5_p = db.Column(db.Float)
    pd_tkt_6_l = db.Column(db.Float)
    pd_tkt_6_p = db.Column(db.Float)
    pd_tkt_7_l = db.Column(db.Float)
    pd_tkt_7_p = db.Column(db.Float)
    pd_tkt_8_l = db.Column(db.Float)
    pd_tkt_8_p = db.Column(db.Float)
    pd_tkt_9_l = db.Column(db.Float)
    pd_tkt_9_p = db.Column(db.Float)
    pd_umur_10_l = db.Column(db.Float)
    pd_umur_10_p = db.Column(db.Float)
    pd_umur_11_l = db.Column(db.Float)
    pd_umur_11_p = db.Column(db.Float)
    pd_umur_12_l = db.Column(db.Float)
    pd_umur_12_p = db.Column(db.Float)
    pd_umur_13_l = db.Column(db.Float)
    pd_umur_13_p = db.Column(db.Float)
    pd_umur_14_l = db.Column(db.Float)
    pd_umur_14_p = db.Column(db.Float)
    pd_umur_15_l = db.Column(db.Float)
    pd_umur_15_p = db.Column(db.Float)
    pd_umur_16_l = db.Column(db.Float)
    pd_umur_16_p = db.Column(db.Float)
    pd_umur_17_l = db.Column(db.Float)
    pd_umur_17_p = db.Column(db.Float)
    pd_umur_18_l = db.Column(db.Float)
    pd_umur_18_p = db.Column(db.Float)
    pd_umur_5_l = db.Column(db.Float)
    pd_umur_5_p = db.Column(db.Float)
    pd_umur_6_l = db.Column(db.Float)
    pd_umur_6_p = db.Column(db.Float)
    pd_umur_7_l = db.Column(db.Float)
    pd_umur_7_p = db.Column(db.Float)
    pd_umur_8_l = db.Column(db.Float)
    pd_umur_8_p = db.Column(db.Float)
    pd_umur_9_l = db.Column(db.Float)
    pd_umur_9_p = db.Column(db.Float)
    pd_umur_kurang_5_l = db.Column(db.Float)
    pd_umur_kurang_5_p = db.Column(db.Float)
    pd_umur_lebih_18_l = db.Column(db.Float)
    pd_umur_lebih_18_p = db.Column(db.Float)
    periode_aktif = db.Column(db.String(255))
    propinsi = db.Column(db.String(255))
    ptk_agamalain_l = db.Column(db.Float)
    ptk_agamalain_p = db.Column(db.Float)
    ptk_budha_l = db.Column(db.Float)
    ptk_budha_p = db.Column(db.Float)
    ptk_d1_l = db.Column(db.Float)
    ptk_d1_p = db.Column(db.Float)
    ptk_d2_l = db.Column(db.Float)
    ptk_d2_p = db.Column(db.Float)
    ptk_d3_l = db.Column(db.Float)
    ptk_d3_p = db.Column(db.Float)
    ptk_d4_l = db.Column(db.Float)
    ptk_d4_p = db.Column(db.Float)
    ptk_gol_1a_l = db.Column(db.Float)
    ptk_gol_1a_p = db.Column(db.Float)
    ptk_gol_1b_l = db.Column(db.Float)
    ptk_gol_1b_p = db.Column(db.Float)
    ptk_gol_1c_l = db.Column(db.Float)
    ptk_gol_1c_p = db.Column(db.Float)
    ptk_gol_1d_l = db.Column(db.Float)
    ptk_gol_1d_p = db.Column(db.Float)
    ptk_gol_2a_l = db.Column(db.Float)
    ptk_gol_2a_p = db.Column(db.Float)
    ptk_gol_2b_l = db.Column(db.Float)
    ptk_gol_2b_p = db.Column(db.Float)
    ptk_gol_2c_l = db.Column(db.Float)
    ptk_gol_2c_p = db.Column(db.Float)
    ptk_gol_2d_l = db.Column(db.Float)
    ptk_gol_2d_p = db.Column(db.Float)
    ptk_gol_3a_l = db.Column(db.Float)
    ptk_gol_3a_p = db.Column(db.Float)
    ptk_gol_3b_l = db.Column(db.Float)
    ptk_gol_3b_p = db.Column(db.Float)
    ptk_gol_3c_l = db.Column(db.Float)
    ptk_gol_3c_p = db.Column(db.Float)
    ptk_gol_3d_l = db.Column(db.Float)
    ptk_gol_3d_p = db.Column(db.Float)
    ptk_gol_4a_l = db.Column(db.Float)
    ptk_gol_4a_p = db.Column(db.Float)
    ptk_gol_4b_l = db.Column(db.Float)
    ptk_gol_4b_p = db.Column(db.Float)
    ptk_gol_4c_l = db.Column(db.Float)
    ptk_gol_4c_p = db.Column(db.Float)
    ptk_gol_4d_l = db.Column(db.Float)
    ptk_gol_4d_p = db.Column(db.Float)
    ptk_gol_4e_l = db.Column(db.Float)
    ptk_gol_4e_p = db.Column(db.Float)
    ptk_gtt_l = db.Column(db.Float)
    ptk_gtt_p = db.Column(db.Float)
    ptk_gty_l = db.Column(db.Float)
    ptk_gty_p = db.Column(db.Float)
    ptk_guru_agamalain_l = db.Column(db.Float)
    ptk_guru_agamalain_p = db.Column(db.Float)
    ptk_guru_budha_l = db.Column(db.Float)
    ptk_guru_budha_p = db.Column(db.Float)
    ptk_guru_d1_l = db.Column(db.Float)
    ptk_guru_d1_p = db.Column(db.Float)
    ptk_guru_d2_l = db.Column(db.Float)
    ptk_guru_d2_p = db.Column(db.Float)
    ptk_guru_d3_l = db.Column(db.Float)
    ptk_guru_d3_p = db.Column(db.Float)
    ptk_guru_d4_l = db.Column(db.Float)
    ptk_guru_d4_p = db.Column(db.Float)
    ptk_guru_gol_1a_l = db.Column(db.Float)
    ptk_guru_gol_1a_p = db.Column(db.Float)
    ptk_guru_gol_1b_l = db.Column(db.Float)
    ptk_guru_gol_1b_p = db.Column(db.Float)
    ptk_guru_gol_1c_l = db.Column(db.Float)
    ptk_guru_gol_1c_p = db.Column(db.Float)
    ptk_guru_gol_1d_l = db.Column(db.Float)
    ptk_guru_gol_1d_p = db.Column(db.Float)
    ptk_guru_gol_2a_l = db.Column(db.Float)
    ptk_guru_gol_2a_p = db.Column(db.Float)
    ptk_guru_gol_2b_l = db.Column(db.Float)
    ptk_guru_gol_2b_p = db.Column(db.Float)
    ptk_guru_gol_2c_l = db.Column(db.Float)
    ptk_guru_gol_2c_p = db.Column(db.Float)
    ptk_guru_gol_2d_l = db.Column(db.Float)
    ptk_guru_gol_2d_p = db.Column(db.Float)
    ptk_guru_gol_3a_l = db.Column(db.Float)
    ptk_guru_gol_3a_p = db.Column(db.Float)
    ptk_guru_gol_3b_l = db.Column(db.Float)
    ptk_guru_gol_3b_p = db.Column(db.Float)
    ptk_guru_gol_3c_l = db.Column(db.Float)
    ptk_guru_gol_3c_p = db.Column(db.Float)
    ptk_guru_gol_3d_l = db.Column(db.Float)
    ptk_guru_gol_3d_p = db.Column(db.Float)
    ptk_guru_gol_4a_l = db.Column(db.Float)
    ptk_guru_gol_4a_p = db.Column(db.Float)
    ptk_guru_gol_4b_l = db.Column(db.Float)
    ptk_guru_gol_4b_p = db.Column(db.Float)
    ptk_guru_gol_4c_l = db.Column(db.Float)
    ptk_guru_gol_4c_p = db.Column(db.Float)
    ptk_guru_gol_4d_l = db.Column(db.Float)
    ptk_guru_gol_4d_p = db.Column(db.Float)
    ptk_guru_gol_4e_l = db.Column(db.Float)
    ptk_guru_gol_4e_p = db.Column(db.Float)
    ptk_guru_hindu_l = db.Column(db.Float)
    ptk_guru_hindu_p = db.Column(db.Float)
    ptk_guru_honor_l = db.Column(db.Float)
    ptk_guru_honor_p = db.Column(db.Float)
    ptk_guru_islam_l = db.Column(db.Float)
    ptk_guru_islam_p = db.Column(db.Float)
    ptk_guru_katholik_l = db.Column(db.Float)
    ptk_guru_katholik_p = db.Column(db.Float)
    ptk_guru_konghuchu_l = db.Column(db.Float)
    ptk_guru_konghuchu_p = db.Column(db.Float)
    ptk_guru_kristen_l = db.Column(db.Float)
    ptk_guru_kristen_p = db.Column(db.Float)
    ptk_guru_kurang_d1_l = db.Column(db.Float)
    ptk_guru_kurang_d1_p = db.Column(db.Float)
    ptk_guru_l = db.Column(db.Float)
    ptk_guru_p = db.Column(db.Float)
    ptk_guru_pns_l = db.Column(db.Float)
    ptk_guru_pns_p = db.Column(db.Float)
    ptk_guru_s1_l = db.Column(db.Float)
    ptk_guru_s1_p = db.Column(db.Float)
    ptk_guru_s2_l = db.Column(db.Float)
    ptk_guru_s2_p = db.Column(db.Float)
    ptk_guru_s3_l = db.Column(db.Float)
    ptk_guru_s3_p = db.Column(db.Float)
    ptk_guru_umur_31_35_l = db.Column(db.Float)
    ptk_guru_umur_31_35_p = db.Column(db.Float)
    ptk_guru_umur_36_40_l = db.Column(db.Float)
    ptk_guru_umur_36_40_p = db.Column(db.Float)
    ptk_guru_umur_41_45_l = db.Column(db.Float)
    ptk_guru_umur_41_45_p = db.Column(db.Float)
    ptk_guru_umur_46_50_l = db.Column(db.Float)
    ptk_guru_umur_46_50_p = db.Column(db.Float)
    ptk_guru_umur_51_55_l = db.Column(db.Float)
    ptk_guru_umur_51_55_p = db.Column(db.Float)
    ptk_guru_umur_kurang_l = db.Column(db.Float)
    ptk_guru_umur_kurang_p = db.Column(db.Float)
    ptk_guru_umur_lebih_55_l = db.Column(db.Float)
    ptk_guru_umur_lebih_55_p = db.Column(db.Float)
    ptk_hindu_l = db.Column(db.Float)
    ptk_hindu_p = db.Column(db.Float)
    ptk_honor_l = db.Column(db.Float)
    ptk_honor_p = db.Column(db.Float)
    ptk_islam_l = db.Column(db.Float)
    ptk_islam_p = db.Column(db.Float)
    ptk_katholik_l = db.Column(db.Float)
    ptk_katholik_p = db.Column(db.Float)
    ptk_konghuchu_l = db.Column(db.Float)
    ptk_konghuchu_p = db.Column(db.Float)
    ptk_kristen_l = db.Column(db.Float)
    ptk_kristen_p = db.Column(db.Float)
    ptk_kurang_d1_l = db.Column(db.Float)
    ptk_kurang_d1_p = db.Column(db.Float)
    ptk_l = db.Column(db.Float)
    ptk_p = db.Column(db.Float)
    ptk_pns_l = db.Column(db.Float)
    ptk_pns_p = db.Column(db.Float)
    ptk_s1_l = db.Column(db.Float)
    ptk_s1_p = db.Column(db.Float)
    ptk_s2_l = db.Column(db.Float)
    ptk_s2_p = db.Column(db.Float)
    ptk_s3_l = db.Column(db.Float)
    ptk_s3_p = db.Column(db.Float)
    ptk_sertifikasi_l = db.Column(db.Float)
    ptk_sertifikasi_p = db.Column(db.Float)
    ptk_umur_31_35_l = db.Column(db.Float)
    ptk_umur_31_35_p = db.Column(db.Float)
    ptk_umur_36_40_l = db.Column(db.Float)
    ptk_umur_36_40_p = db.Column(db.Float)
    ptk_umur_41_45_l = db.Column(db.Float)
    ptk_umur_41_45_p = db.Column(db.Float)
    ptk_umur_46_50_l = db.Column(db.Float)
    ptk_umur_46_50_p = db.Column(db.Float)
    ptk_umur_51_55_l = db.Column(db.Float)
    ptk_umur_51_55_p = db.Column(db.Float)
    ptk_umur_kurang_31_l = db.Column(db.Float)
    ptk_umur_kurang_31_p = db.Column(db.Float)
    ptk_umur_lebih_55_l = db.Column(db.Float)
    ptk_umur_lebih_55_p = db.Column(db.Float)
    rombel_1 = db.Column(db.Float)
    rombel_10 = db.Column(db.Float)
    rombel_11 = db.Column(db.Float)
    rombel_12 = db.Column(db.Float)
    rombel_13 = db.Column(db.Float)
    rombel_2 = db.Column(db.Float)
    rombel_3 = db.Column(db.Float)
    rombel_4 = db.Column(db.Float)
    rombel_5 = db.Column(db.Float)
    rombel_6 = db.Column(db.Float)
    rombel_7 = db.Column(db.Float)
    rombel_8 = db.Column(db.Float)
    rombel_9 = db.Column(db.Float)
    rt = db.Column(db.String(255))
    ruang_bina_diri_baik = db.Column(db.Float)
    ruang_bina_diri_rsk_ringan = db.Column(db.Float)
    ruang_bina_diri_rsk_sedang = db.Column(db.Float)
    ruang_bina_gerak_baik = db.Column(db.Float)
    ruang_bina_gerak_rsk_berat = db.Column(db.Float)
    ruang_bina_gerak_rsk_ringan = db.Column(db.Float)
    ruang_bina_gerak_rsk_sedang = db.Column(db.Float)
    ruang_bina_pribadi_baik = db.Column(db.Float)
    ruang_bina_pribadi_rsk_berat = db.Column(db.Float)
    ruang_bina_pribadi_rsk_ringan = db.Column(db.Float)
    ruang_bina_pribadi_rsk_sedang = db.Column(db.Float)
    ruang_bina_wicara_baik = db.Column(db.Float)
    ruang_bina_wicara_rsk_berat = db.Column(db.Float)
    ruang_bina_wicara_rsk_ringan = db.Column(db.Float)
    ruang_bina_wicara_rsk_sedang = db.Column(db.Float)
    ruang_binia_diri_rsk_berat = db.Column(db.Float)
    ruang_bk_baik = db.Column(db.Float)
    ruang_bk_rsk_berat = db.Column(db.Float)
    ruang_bk_rsk_ringan = db.Column(db.Float)
    ruang_bk_rsk_sedang = db.Column(db.Float)
    ruang_bppi_baik = db.Column(db.Float)
    ruang_bppi_rsk_berat = db.Column(db.Float)
    ruang_bppi_rsk_ringan = db.Column(db.Float)
    ruang_bppi_rsk_sedang = db.Column(db.Float)
    ruang_guru_baik = db.Column(db.Float)
    ruang_guru_rsk_berat = db.Column(db.Float)
    ruang_guru_rsk_ringan = db.Column(db.Float)
    ruang_guru_rsk_sedang = db.Column(db.Float)
    ruang_ibadah_baik = db.Column(db.Float)
    ruang_ibadah_rsk_berat = db.Column(db.Float)
    ruang_ibadah_rsk_ringan = db.Column(db.Float)
    ruang_ibadah_rsk_sedang = db.Column(db.Float)
    ruang_kelas_baik = db.Column(db.Float)
    ruang_kelas_bkn_milik_baik = db.Column(db.Float)
    ruang_kelas_bkn_milik_rsk_ringan = db.Column(db.Float)
    ruang_kelas_bkn_milik_rsk_sedang = db.Column(db.Float)
    ruang_kelas_bukan_milik_rsk_berat = db.Column(db.Float)
    ruang_kelas_rsk_berat = db.Column(db.Float)
    ruang_kelas_rsk_ringan = db.Column(db.Float)
    ruang_kelas_rsk_sedang = db.Column(db.Float)
    ruang_kepsek_baik = db.Column(db.Float)
    ruang_kepsek_rsk_berat = db.Column(db.Float)
    ruang_kepsek_rsk_ringan = db.Column(db.Float)
    ruang_kepsek_rsk_sedang = db.Column(db.Float)
    ruang_keterampilan_baik = db.Column(db.Float)
    ruang_keterampilan_rsk_berat = db.Column(db.Float)
    ruang_keterampilan_rsk_ringan = db.Column(db.Float)
    ruang_keterampilan_rsk_sedang = db.Column(db.Float)
    ruang_multimedia_baik = db.Column(db.Float)
    ruang_multimedia_rsk_berat = db.Column(db.Float)
    ruang_multimedia_rsk_ringan = db.Column(db.Float)
    ruang_multimedia_rsk_sedang = db.Column(db.Float)
    ruang_olahraga_baik = db.Column(db.Float)
    ruang_olahraga_rsk_berat = db.Column(db.Float)
    ruang_olahraga_rsk_ringan = db.Column(db.Float)
    ruang_olahraga_rsk_sedang = db.Column(db.Float)
    ruang_om_baik = db.Column(db.Float)
    ruang_om_rsk_berat = db.Column(db.Float)
    ruang_om_rsk_ringan = db.Column(db.Float)
    ruang_om_rsk_sedang = db.Column(db.Float)
    ruang_osis_baik = db.Column(db.Float)
    ruang_osis_rsk_berat = db.Column(db.Float)
    ruang_osis_rsk_ringan = db.Column(db.Float)
    ruang_osis_rsk_sedang = db.Column(db.Float)
    ruang_perpus_baik = db.Column(db.Float)
    ruang_perpus_multimedia_baik = db.Column(db.Float)
    ruang_perpus_multimedia_rsk_berat = db.Column(db.Float)
    ruang_perpus_multimedia_rsk_ringan = db.Column(db.Float)
    ruang_perpus_multimedia_rsk_sedang = db.Column(db.Float)
    ruang_perpus_rsk_berat = db.Column(db.Float)
    ruang_perpus_rsk_ringan = db.Column(db.Float)
    ruang_perpus_rsk_sedang = db.Column(db.Float)
    ruang_praktik_kerja_baik = db.Column(db.Float)
    ruang_praktik_kerja_rsk_berat = db.Column(db.Float)
    ruang_praktik_kerja_rsk_ringan = db.Column(db.Float)
    ruang_praktik_kerja_rsk_sedang = db.Column(db.Float)
    ruang_serbaguna_baik = db.Column(db.Float)
    ruang_serbaguna_rsk_berat = db.Column(db.Float)
    ruang_serbaguna_rsk_ringan = db.Column(db.Float)
    ruang_serbaguna_rsk_sedang = db.Column(db.Float)
    ruang_terapi_baik = db.Column(db.Float)
    ruang_terapi_rsk_berat = db.Column(db.Float)
    ruang_terapi_rsk_ringan = db.Column(db.Float)
    ruang_terapi_rsk_sedang = db.Column(db.Float)
    ruang_tu_baik = db.Column(db.Float)
    ruang_tu_rsk_berat = db.Column(db.Float)
    ruang_tu_rsk_ringan = db.Column(db.Float)
    ruang_tu_rsk_sedang = db.Column(db.Float)
    ruang_uks_baik = db.Column(db.Float)
    ruang_uks_rsk_berat = db.Column(db.Float)
    ruang_uks_rsk_ringan = db.Column(db.Float)
    ruang_uks_rsk_sedang = db.Column(db.Float)
    rw = db.Column(db.String(255))
    sekolah = db.Column(db.String(255))
    sekolah_id = db.Column(db.String(255))
    status = db.Column(db.String(255))
    status_kepemilikan_sekolah = db.Column(db.String(255))
    sumber_listrik = db.Column(db.String(255))
    sync_terakhir = db.Column(db.String(255))
    tanah_bukan_milik = db.Column(db.String(255))
    tanah_milik = db.Column(db.String(255))
    telp_sekolah = db.Column(db.String(255))
    tkt_10_budha = db.Column(db.Float)
    tkt_10_hindu = db.Column(db.Float)
    tkt_10_islam = db.Column(db.Float)
    tkt_10_katholik = db.Column(db.Float)
    tkt_10_kong_hu_chu = db.Column(db.Float)
    tkt_10_kristen = db.Column(db.Float)
    tkt_10_lainnya = db.Column(db.Float)
    tkt_11_budha = db.Column(db.Float)
    tkt_11_hindu = db.Column(db.Float)
    tkt_11_islam = db.Column(db.Float)
    tkt_11_katholik = db.Column(db.Float)
    tkt_11_kong_hu_chu = db.Column(db.Float)
    tkt_11_kristen = db.Column(db.Float)
    tkt_11_lainnya = db.Column(db.Float)
    tkt_12_budha = db.Column(db.Float)
    tkt_12_hindu = db.Column(db.Float)
    tkt_12_islam = db.Column(db.Float)
    tkt_12_katholik = db.Column(db.Float)
    tkt_12_kong_hu_chu = db.Column(db.Float)
    tkt_12_kristen = db.Column(db.Float)
    tkt_12_lainnya = db.Column(db.Float)
    tkt_13_budha = db.Column(db.Float)
    tkt_13_hindu = db.Column(db.Float)
    tkt_13_islam = db.Column(db.Float)
    tkt_13_katholik = db.Column(db.Float)
    tkt_13_kong_hu_chu = db.Column(db.Float)
    tkt_13_kristen = db.Column(db.Float)
    tkt_13_lainnya = db.Column(db.Float)
    tkt_1_budha = db.Column(db.Float)
    tkt_1_hindu = db.Column(db.Float)
    tkt_1_islam = db.Column(db.Float)
    tkt_1_katholik = db.Column(db.Float)
    tkt_1_kong_hu_chu = db.Column(db.Float)
    tkt_1_kristen = db.Column(db.Float)
    tkt_1_lainnya = db.Column(db.Float)
    tkt_2_budha = db.Column(db.Float)
    tkt_2_hindu = db.Column(db.Float)
    tkt_2_islam = db.Column(db.Float)
    tkt_2_katholik = db.Column(db.Float)
    tkt_2_kong_hu_chu = db.Column(db.Float)
    tkt_2_kristen = db.Column(db.Float)
    tkt_2_lainnya = db.Column(db.Float)
    tkt_3_budha = db.Column(db.Float)
    tkt_3_hindu = db.Column(db.Float)
    tkt_3_islam = db.Column(db.Float)
    tkt_3_katholik = db.Column(db.Float)
    tkt_3_kong_hu_chu = db.Column(db.Float)
    tkt_3_kristen = db.Column(db.Float)
    tkt_3_lainnya = db.Column(db.Float)
    tkt_4_budha = db.Column(db.Float)
    tkt_4_hindu = db.Column(db.Float)
    tkt_4_islam = db.Column(db.Float)
    tkt_4_katholik = db.Column(db.Float)
    tkt_4_kong_hu_chu = db.Column(db.Float)
    tkt_4_kristen = db.Column(db.Float)
    tkt_4_lainnya = db.Column(db.Float)
    tkt_5_budha = db.Column(db.Float)
    tkt_5_hindu = db.Column(db.Float)
    tkt_5_islam = db.Column(db.Float)
    tkt_5_katholik = db.Column(db.Float)
    tkt_5_kong_hu_chu = db.Column(db.Float)
    tkt_5_kristen = db.Column(db.Float)
    tkt_5_lainnya = db.Column(db.Float)
    tkt_6_budha = db.Column(db.Float)
    tkt_6_hindu = db.Column(db.Float)
    tkt_6_islam = db.Column(db.Float)
    tkt_6_katholik = db.Column(db.Float)
    tkt_6_kong_hu_chu = db.Column(db.Float)
    tkt_6_kristen = db.Column(db.Float)
    tkt_6_lainnya = db.Column(db.Float)
    tkt_7_budha = db.Column(db.Float)
    tkt_7_hindu = db.Column(db.Float)
    tkt_7_islam = db.Column(db.Float)
    tkt_7_katholik = db.Column(db.Float)
    tkt_7_kong_hu_chu = db.Column(db.Float)
    tkt_7_kristen = db.Column(db.Float)
    tkt_7_lainnya = db.Column(db.Float)
    tkt_8_budha = db.Column(db.Float)
    tkt_8_hindu = db.Column(db.Float)
    tkt_8_islam = db.Column(db.Float)
    tkt_8_katholik = db.Column(db.Float)
    tkt_8_kong_hu_chu = db.Column(db.Float)
    tkt_8_kristen = db.Column(db.Float)
    tkt_8_lainnya = db.Column(db.Float)
    tkt_9_budha = db.Column(db.Float)
    tkt_9_hindu = db.Column(db.Float)
    tkt_9_islam = db.Column(db.Float)
    tkt_9_katholik = db.Column(db.Float)
    tkt_9_kong_hu_chu = db.Column(db.Float)
    tkt_9_kristen = db.Column(db.Float)
    tkt_9_lainnya = db.Column(db.Float)
    waktu_penyelenggaraan = db.Column(db.String(255))
    wc_guru_laki_baik = db.Column(db.Float)
    wc_guru_laki_rsk_berat = db.Column(db.Float)
    wc_guru_laki_rsk_ringan = db.Column(db.Float)
    wc_guru_laki_rsk_sedang = db.Column(db.Float)
    wc_guru_perempuan_baik = db.Column(db.Float)
    wc_guru_perempuan_rsk_berat = db.Column(db.Float)
    wc_guru_perempuan_rsk_ringan = db.Column(db.Float)
    wc_guru_perempuan_rsk_sedang = db.Column(db.Float)
    wc_siswa_laki_baik = db.Column(db.Float)
    wc_siswa_laki_rsk_berat = db.Column(db.Float)
    wc_siswa_laki_rsk_ringan = db.Column(db.Float)
    wc_siswa_laki_rsk_sedang = db.Column(db.Float)
    wc_siswa_perempuan_baik = db.Column(db.Float)
    wc_siswa_perempuan_rsk_berat = db.Column(db.Float)
    wc_siswa_perempuan_rsk_ringan = db.Column(db.Float)
    wc_siswa_perempuan_rsk_sedang = db.Column(db.Float)
    id = db.Column(db.Integer, primary_key=True)
    created_at = db.Column(db.DateTime(True))
    updated_at = db.Column(db.DateTime(True))
